﻿
using Microsoft.AspNetCore.Mvc;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Text;
using GrapeCity.Documents.Excel;
using System.Drawing;
using System.IO;

namespace GrapeCityDocsAWSLambda.Controllers
{
    [Route("api/[controller]")]
    public class GrapeCityDocsController : Controller
    {
        [HttpGet("{name}")]
        [Route("GeneratePdf")]
        public IActionResult GeneratePdf(string name)
        {
            if (string.IsNullOrEmpty(name))
            {
                return new BadRequestObjectResult("Please pass a name on the query string or in the request body");
            }
            else
            {
                // Create Pdf Document
                var pdf = new GcPdfDocument();
                pdf.NewPage().Graphics.DrawString($"Hi there {name}!", new TextFormat(), new PointF(72, 72));
                // Save PDF
                var ms = new MemoryStream();
                pdf.Save(ms);
                ms.Seek(0, SeekOrigin.Begin);
                // Return file
                FileStreamResult result = new FileStreamResult(ms, "application/pdf");
                return result;
            }
        }

        [HttpGet("{name}")]
        [Route("GenerateExcel")]
        public IActionResult GenerateExcel(string name)
        {
            if (string.IsNullOrEmpty(name))
            {
                return new BadRequestObjectResult("Please pass a name on the query string or in the request body");
            }
            else
            {
                // Create Excel workbook
                var workbook = new Workbook();
                var worksheet = workbook.ActiveSheet;
                worksheet.Range["A1"].Value = $"Hi there {name}!";
                // Save excel to stream
                MemoryStream ms = new MemoryStream();
                workbook.Save(ms, SaveFileFormat.Xlsx);
                ms.Seek(0, SeekOrigin.Begin);
                // Return file
                FileStreamResult result = new FileStreamResult(ms, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
                return result;

            }
        }
    }
}
